gnutls_hex_encode(3)

NAME
gnutls_hex_encode - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_hex_encode(const gnutls_datum_t * data, char * result, size_t * result_size);

ARGUMENTS

const gnutls_datum_t * data
    contain the raw data

char * result
    the place where hex data will be copied

size_t * result_size
    holds the size of the result

DESCRIPTION
This function will convert the given data to printable data, using the hex encoding, as used in the PSK password files.

RETURNS
GNUTLS_E_SHORT_MEMORY_BUFFER if the buffer given is not long enough, or 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.